
from agents.base.profile import DataDetective, IssueTracker, SolutionEngineer, DecisionMaker
from agents.base.run import ReActTotRun, ThreeHotCotRun
from agents.tools import process_scheduler_tools


if __name__ == "__main__":
    question = "16 + 23 * 44 + 99 / 9 = ?"
    question = "1 - 9 + 2 * 16 + 99 / 9 * 8 + 7 - 6 = ?"

    agent = DecisionMaker()
    run = ReActTotRun()
    eval_run = ThreeHotCotRun()
    agents = [DataDetective(), IssueTracker(), SolutionEngineer(), DecisionMaker()]
    answer = run.run(agent=agent, question=question, agent_tool_env=vars(process_scheduler_tools), eval_run=eval_run, agents=agents)
    print(answer)

